MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024296Open CASCADE[OCCT] OCCT:Foundation Classespublic2013-10-29 09:552017-07-27 10:38
Reporternbv 
Assigned Toski 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024296: Test "bugs fclasses bug309" is crashed if current directory is into disc-root
DescriptionIf current directory is into disc-root, we have following result:
    ...
    OCC309
    *D://CurDir* [^]
    *D://CurDir* [^]

    result1 = *D://CurDir* [^]
    res1 = //CurDir
    CurrentDirectory = /CurDir
    OCC309: Error 1
    ...

Otherwise:
    ...
    OCC309
    *d:/tests_group/bugs/tests_subgroup/002*
    *d:/tests_group/bugs/002*

    OCC309: OK 1
    ...
Steps To Reproducetest bugs fclasses bug309
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0000309closedpop Community bug in OSD_Path::UpTrek 

-  Notes
(0043568)
git (administrator)
2015-07-27 14:18

Branch CR24296 has been deleted by kgv.

SHA-1: f972c9b4357c7b38313621204ac283a1b208a56f
(0058098)
git (administrator)
2016-09-23 17:30

Branch CR24296 has been created by ski.

SHA-1: a8d4fad548589a81bcbc0f5ec455a6da885b0615


Detailed log of new commits:

Author: ski
Date: Fri Sep 23 17:06:12 2016 +0300

    0024296: Test "bugs fclasses bug309" is crashed if current directory is into disc-root
    
    Fixed incorrect inclusion of slash symbol to the path.
(0058103)
ski (developer)
2016-09-23 18:26

Dear abv,

please review.
(0058127)
abv (manager)
2016-09-25 20:31

This change is unsafe: j can be equal to 1, in this case trek[j-2] will address memory belonging to some other variable. Please add check for j to be at least 2.

In addition, please remove "static" in declaration of "trek" variable, to avoid possibility of having data races at this point in case of multithreaded execution.
(0058133)
git (administrator)
2016-09-26 10:18

Branch CR24296 has been updated forcibly by ski.

SHA-1: d355a2dcd56f058e5771fd0012f5f7ff3451b41a
(0058134)
ski (developer)
2016-09-26 10:20

Done.
(0058137)
abv (manager)
2016-09-26 10:34

No remarks, please test
(0058155)
git (administrator)
2016-09-26 12:53

Branch CR24296 has been updated forcibly by apv.

SHA-1: ea4f4dcf7724584166c6ce12c4b7f5d5f1e96318
(0058156)
apv (tester)
2016-09-26 12:55

Branch CR24296 from occt git-repository has been rebased on the current master.
(0058210)
apv (tester)
2016-09-27 14:43

Dear BugMaster,

Branch CR24296 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ea4f4dcf7724584166c6ce12c4b7f5d5f1e96318

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1140

Regressions/Differences:
http://occt-tests/CR24296-master-OCCT/Debian70-64/summary.html [^]
bugs fclasses bug309 (Linux only)

Testing on Linux:
Total MEMORY difference: 91216076 / 90243851 [+1.08%]
Total CPU difference: 19507.02999999999 / 19251.91999999988 [+1.33%]

Testing on Windows:
Total MEMORY difference: 57203803 / 57221541 [-0.03%]
Total CPU difference: 17904.889974198697 / 18310.78897609872 [-2.22%]
(0058211)
apv (tester)
2016-09-27 14:44

Dear Sergey,

Branch CR23296 has been rejected due to:
- regressions/differences/improvements
(0058281)
git (administrator)
2016-09-28 18:13

Branch CR24296 has been updated by ski.

SHA-1: dcca9bc55a88aae7b4c9b2e740bd3eed3e498aee


Detailed log of new commits:

Author: ski
Date: Wed Sep 28 18:09:28 2016 +0300

    Removed unnecessary slash at the end of path returned by method CurrentDirectory of OSD_Process class

(0058283)
ski (developer)
2016-09-28 18:25
edited on: 2016-09-28 18:25

On current master method CurrentDirectory of OSD_Process class returns path in kind of "/Directory/Subdir1/CurrentProcessDir/" on linux platform.
On windows platform it returns "/Directory/Subdir1/CurrentProcessDir" (without ending slash)

I think that it should return "/Directory/Subdir1/CurrentProcessDir" on both platform (For example command "pwd" returns path without ending slash on Linux)

Dear abv,
i have pushed changes in last commit of branch CR24296.

(0058489)
git (administrator)
2016-10-07 17:24

Branch CR24296_1 has been created by ski.

SHA-1: 2bd7d252fc3a39032c8dd5ecdef88c13848ad6e6


Detailed log of new commits:

Author: ski
Date: Thu Sep 29 19:08:20 2016 +0300

    Added test case.

Author: ski
Date: Wed Sep 28 18:09:28 2016 +0300

    Removed unnecessary slash at the end of path returned by method CurrentDirectory of OSD_Process class

Author: ski
Date: Fri Sep 23 17:06:12 2016 +0300

    0024296: Test "bugs fclasses bug309" is crashed if current directory is into disc-root
    
    Fixed incorrect inclusion of slash symbol to the path.
(0058525)
git (administrator)
2016-10-10 17:44

Branch CR24296_1 has been updated forcibly by ski.

SHA-1: c2fc77229da5019d7a011a7974e099d4db46c75e
(0058526)
git (administrator)
2016-10-10 18:26

Branch CR24296_1 has been updated forcibly by ski.

SHA-1: 24f6335ebc6f81c23359f6b99417a51d252f3e86

- Issue History
Date Modified Username Field Change
2013-10-29 09:55 nbv New Issue
2013-10-29 09:55 nbv Assigned To => abv
2013-10-29 09:57 nbv Relationship added child of 0000309
2015-07-27 14:18 git Note Added: 0043568
2016-01-07 21:20 abv Target Version => 7.1.0
2016-09-23 12:23 abv Assigned To abv => ski
2016-09-23 12:23 abv Status new => assigned
2016-09-23 17:30 git Note Added: 0058098
2016-09-23 18:26 ski Note Added: 0058103
2016-09-23 18:26 ski Assigned To ski => abv
2016-09-23 18:26 ski Status assigned => resolved
2016-09-25 20:31 abv Note Added: 0058127
2016-09-25 20:31 abv Assigned To abv => ski
2016-09-25 20:31 abv Status resolved => assigned
2016-09-26 10:18 git Note Added: 0058133
2016-09-26 10:20 ski Note Added: 0058134
2016-09-26 10:20 ski Assigned To ski => abv
2016-09-26 10:20 ski Status assigned => resolved
2016-09-26 10:34 abv Note Added: 0058137
2016-09-26 10:34 abv Assigned To abv => bugmaster
2016-09-26 10:34 abv Status resolved => reviewed
2016-09-26 12:39 apv Assigned To bugmaster => apv
2016-09-26 12:53 git Note Added: 0058155
2016-09-26 12:55 apv Note Added: 0058156
2016-09-27 14:43 apv Note Added: 0058210
2016-09-27 14:43 apv Assigned To apv => ski
2016-09-27 14:43 apv Status reviewed => assigned
2016-09-27 14:44 apv Note Added: 0058211
2016-09-28 18:13 git Note Added: 0058281
2016-09-28 18:25 ski Note Added: 0058283
2016-09-28 18:25 ski Assigned To ski => abv
2016-09-28 18:25 ski Status assigned => resolved
2016-09-28 18:25 ski Note Edited: 0058283 View Revisions
2016-10-07 17:24 git Note Added: 0058489
2016-10-07 17:24 ski Assigned To abv => ski
2016-10-07 17:24 ski Status resolved => assigned
2016-10-10 17:44 git Note Added: 0058525
2016-10-10 18:26 git Note Added: 0058526
2016-11-22 12:12 abv Target Version 7.1.0 => 7.2.0
2017-07-27 10:38 abv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker